package com.awspaas.user.apps.donenow_sys.job;

import com.actionsoft.bpms.commons.security.basic.cache.PermissionCache;
import com.actionsoft.bpms.schedule.IJob;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

public class exec94Job implements IJob {
    /**
     *
     * @param jobExecutionContext
     * @throws JobExecutionException
     */
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        System.out.println("执行刷新用户缓存");
        try {
            PermissionCache.getCache().load();


        } catch (Exception e) {
            System.out.println("刷新用户缓存失败");
            e.printStackTrace();
            System.out.println(e);
        }
        System.out.println("刷新用户缓存成功");


    }
}
